cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1125
Views
5
Helpful
7
Replies

VSM 7.6 to 7.7 - Has anyone upgraded yet?

Nicholas Hood
Level 1
Level 1

Considering upgrading to VSM 7.7 and was curious to know if anyone has done it and what the experience has been so far?

 

I have not installed the patches that came out for 7.6 and would also like to know if this needs to be done first or if going straight to 7.7 will take care of that issue. 

 

Thanks for your input!

 

-Nick

7 Replies 7

Scott Olsen
Level 6
Level 6

I have upgraded a fully patched 7.6.0 VM to check it out.  My assumption is that you can upgrade directly without an issue even without the patches, but best to review the release notes.

There are a few interesting new things, but by far the most noticeable is the SASD thick client.

Cheers!

Scott Olsen Solutions Specialist Bulletproof Solutions Inc. Web: www.bulletproofsi.com

The new SASD does look sweet. I have to wait until we buy more UCS space before upgrading. We have three MSP's and two of them are CIVS's which aren't 7.7 compatible.

Hey Scott. Have you ever had a VSM upgrade fail going from 7.2.2 to 7.6? We had one go bad a few weeks ago. My bet is still on the antivirus SW breaking the .zip file but some of my co-workers disagree. 

 

I actually believe I did.  Have you checked the upgrade.log?

/usr/BWHTTP/upgrade/server/upgrade.log if memory serves.

Was there an RPM installed that the 7.6 upgrade shellsript wasn't expecting?

Cisco_VSMSUpgrade 

?

I could be confusing this with some other situation as it's been a crazy last few weeks, but this is what currently comes to mind.

Cheers!

Scott Olsen Solutions Specialist Bulletproof Solutions Inc. Web: www.bulletproofsi.com

I figured it out. the upgrade path from 7.2.2. to 7.6 is to install 7.5.1 first. One of my guys did that on other servers and it worked just fine. 

jsah
Cisco Employee
Cisco Employee

Hello Nicholas,

Cisco VSM can be upgraded using a .zip upgrade file that includes all required software packages. Installing the .zip file upgrades all components and ensures that all packages are running the required versions.

Upgrade Notes:
•Release 7.5 and later—Use the Software Management page on the browser-based Operations Manager to upgrade all of the servers in your deployment.
•Release 7.2 and earlier—Upgrades to release 7.7 are supported only from releases 7.5.x and 7.6. To upgrade from an earlier release, you must first upgrade to 7.5 or 7.6, and then upgrade to 7.7.
• Clear the cache in each user’s web browser after upgrading Cisco VSM. If not cleared, the browser may attempt to use outdated content and display the error message “Operation failed: Authentication failed, this request is not allowed” until the page is refreshed.
Always upgrade using the Cisco VSM user-interfaces. Do not perform the upgrade using the Linux CLI.

 

Platform Notes:
• Release 7.0 was pre-installed on the Cisco Multiservices Platform (Cisco MSP) servers, including the CPS-MSP-1RU-K9, CPS-MSP-2RU-K9, CIVS-MSP-1RU, CIVS-MSP-2RU and CIVS-MSP-4RU.
• Release 7.2 to Release 7.7 is pre-installed on the Cisco Connected Safety and Security UCS Platform Series (CPS-UCS-1RU-K9 and CPS-UCS-2RU-K9).
•Release 7.7—The CIVS platform is not supported and cannot be upgraded to VSM 7.7.
• Virtual Machine (VM) installations can also be upgraded using the Cisco VSM Management Console.

 

Yes you can upgrade to VSM 7.7 directly from the Management console page, and if you didn't install the patch on VSM 7.6. Then its no an issue, because that patch meant to be used in VSM 7.6. You can directly upgrade the VSM without any old patch installed. Please refer above notes before proceeding for an upgrade.

Let me know if you can face issue while doing an upgrade.

Thanks,

Jayesh

Jason Rossi
Level 1
Level 1

I upgraded from 7.6 (with no hot fix) to 7.7 and it was fine.